-- MySQL Script generated by MySQL Workbench
-- ven. 17 déc. 2021 11:38:07
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';

-- -----------------------------------------------------
-- Schema Intégration_Gestion_de_projet_new
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Schema Intégration_Gestion_de_projet_new
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `Intégration_Gestion_de_projet_new` DEFAULT CHARACTER SET utf8 ;
USE `Intégration_Gestion_de_projet_new` ;

-- -----------------------------------------------------
-- Table `Intégration_Gestion_de_projet_new`.`skill`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Intégration_Gestion_de_projet_new`.`skill` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `label` VARCHAR(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE INDEX `label_UNIQUE` (`label` ASC) VISIBLE)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `Intégration_Gestion_de_projet_new`.`developer`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Intégration_Gestion_de_projet_new`.`developer` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `last_name` VARCHAR(100) NOT NULL,
  `first_name` VARCHAR(25) NOT NULL,
  `skill_id` INT NOT NULL,
  PRIMARY KEY (`id`, `skill_id`),
  INDEX `fk_developer_skill1_idx` (`skill_id` ASC) VISIBLE,
  CONSTRAINT `fk_developer_skill1`
    FOREIGN KEY (`skill_id`)
    REFERENCES `Intégration_Gestion_de_projet_new`.`skill` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `Intégration_Gestion_de_projet_new`.`client`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Intégration_Gestion_de_projet_new`.`client` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `adresse` VARCHAR(200) NULL,
  `name` VARCHAR(200) NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `Intégration_Gestion_de_projet_new`.`project`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Intégration_Gestion_de_projet_new`.`project` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `Name` VARCHAR(100) NOT NULL,
  `description` LONGTEXT NULL,
  `Name` INT NOT NULL,
  PRIMARY KEY (`id`, `Name`),
  INDEX `fk_project_client1_idx` (`Name` ASC) VISIBLE,
  UNIQUE INDEX `Name_UNIQUE` (`Name` ASC) VISIBLE,
  CONSTRAINT `fk_project_client1`
    FOREIGN KEY (`Name`)
    REFERENCES `Intégration_Gestion_de_projet_new`.`client` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `Intégration_Gestion_de_projet_new`.`developer_project`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Intégration_Gestion_de_projet_new`.`developer_project` (
  `developer_id` INT NOT NULL,
  `project_id` INT NOT NULL,
  PRIMARY KEY (`developer_id`, `project_id`),
  INDEX `fk_developer_has_project_project1_idx` (`project_id` ASC) VISIBLE,
  INDEX `fk_developer_has_project_developer1_idx` (`developer_id` ASC) VISIBLE,
  CONSTRAINT `fk_developer_has_project_developer1`
    FOREIGN KEY (`developer_id`)
    REFERENCES `Intégration_Gestion_de_projet_new`.`developer` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_developer_has_project_project1`
    FOREIGN KEY (`project_id`)
    REFERENCES `Intégration_Gestion_de_projet_new`.`project` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
